Page MenuHomePhabricator

LowerTypeTests: Implement exporting of type identifiers.
ClosedPublic

Authored by pcc on Jan 6 2017, 5:13 PM.

Details

Summary

Type identifiers are exported by:

  • Adding coarse-grained information about how to test the type identifier to the summary.
  • Creating symbols in the object file (aliases and absolute symbols) containing fine-grained information about the type identifier.

Depends on D28421

Depends on D28422

Diff Detail

Repository
rL LLVM

Event Timeline

pcc updated this revision to Diff 83471.Jan 6 2017, 5:13 PM
pcc retitled this revision from to LowerTypeTests: Implement exporting of type identifiers..
pcc updated this object.
pcc added reviewers: eugenis, mehdi_amini.
pcc added a subscriber: llvm-commits.
pcc updated this revision to Diff 83474.Jan 6 2017, 5:19 PM
  • The fields are used now
mehdi_amini edited edge metadata.Jan 17 2017, 10:13 PM

The test are a bit obscure for someone who does not know well how the type-tests works.

If @eugenis can review this, that'd be great, otherwise I'll try to "page this in" later this week and get it done.

llvm/lib/Transforms/IPO/LowerTypeTests.cpp
257 ↗(On Diff #83474)

May not be straightforward to know what it means to "be exported" when reading this code.

697 ↗(On Diff #83474)

One line comment before this function?

pcc updated this revision to Diff 84878.Jan 18 2017, 12:42 PM
pcc marked 2 inline comments as done.
  • Address review comments
eugenis accepted this revision.Jan 18 2017, 5:15 PM
eugenis added inline comments.
llvm/test/Transforms/LowerTypeTests/Inputs/use-typeid1-typeid2.yaml
4 ↗(On Diff #84878)

Are these GUIDs for some global value? Could you add a comment please?

This revision is now accepted and ready to land.Jan 18 2017, 5:15 PM
pcc added inline comments.Jan 18 2017, 5:17 PM
llvm/test/Transforms/LowerTypeTests/Inputs/use-typeid1-typeid2.yaml
4 ↗(On Diff #84878)

"typeid1" and "typeid2". I'll add a comment.

This revision was automatically updated to reflect the committed changes.